> This page is for Itential Platform On-Prem, version 6 (default).
> For other versions, use one of these documentation indexes:
> - 6 (default): https://docs-test.itntl.com/itential-platform/6/llms.txt
> - 2023.2: https://docs-test.itntl.com/itential-platform/2023-2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# List operable agents

GET https://example.itential.io/agent-project-service/operable-agents

Returns a paginated list of Agents the current user can operate — either via write access to the parent project or membership in the agent's operators array.

Reference: https://docs-test.itntl.com/itential-platform/6/api-reference/agent-project-service/list-operable-agents

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `limit` (integer, optional, default: 50) — limit
- `skip` (integer, optional, default: 0) — skip
- `sort` (enum, optional, default: name) — sort
  - Allowed values: `name`, `created`, `lastUpdated`
- `order` (enum, optional, default: 1) — order
  - Allowed values: `1`, `-1`

## Response

### 200

Paginated list of operable Agent Definitions

- `message` (string, required)
- `data` (AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaData

- `items` (list of AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItems, required)
- `skip` (integer, required)
- `end` (integer, required)
- `count` (integer, required)
- `limit` (integer, required)
- `total` (integer, required)
- `previous` (string, required, nullable)
- `next` (string, required, nullable)

### AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItems

- `_id` (string, required)
- `name` (string, required)
- `description` (string, required)
- `instructions` (string, required)
- `inputSchema` (AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsInputSchema, required)
- `provider` (AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsProvider, required)
- `operators` (list of AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsOperatorsItems, required)
- `namespace` (AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsNamespace, required)
- `tools` (list of AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsToolsItems, required)
- `skills` (list of AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsSkillsItems, required)

### AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsInputSchema

### AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsProvider

- `profile` (string, required)
- `model` (string, required)
- `lastKnownProfileName` (string, required)
- `lastKnownModelName` (string, required)

### AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsOperatorsItems

- `_id` (string, required)
- `name` (string, required)
- `provenance` (string, required)

### AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsNamespace

- `type` ("flowai_project", required)
- `_id` (string, required)
- `name` (string, required)

### AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsToolsItems

- `referenceId` (string, required)
- `lastKnownName` (string, required)
- `decoratorId` (string, optional)

### AgentProjectServiceOperableAgentsGetResponsesContentApplicationJsonSchemaDataItemsItemsSkillsItems

- `skillId` (string, required)
- `version` (integer, required)
- `latest` (boolean, required)
- `lastKnownName` (string, required)

## Examples

**Response**

```json
{
  "message": "string",
  "data": {
    "items": [
      {
        "_id": "string",
        "name": "string",
        "description": "string",
        "instructions": "string",
        "inputSchema": {},
        "provider": {
          "profile": "string",
          "model": "string",
          "lastKnownProfileName": "string",
          "lastKnownModelName": "string"
        },
        "operators": [
          {
            "_id": "string",
            "name": "string",
            "provenance": "string"
          }
        ],
        "namespace": {
          "type": "string",
          "_id": "string",
          "name": "string"
        },
        "tools": [
          {
            "referenceId": "string",
            "lastKnownName": "string",
            "decoratorId": "string"
          }
        ],
        "skills": [
          {
            "skillId": "string",
            "version": 1,
            "latest": true,
            "lastKnownName": "string"
          }
        ]
      }
    ],
    "skip": 1,
    "end": 1,
    "count": 1,
    "limit": 1,
    "total": 1,
    "previous": "string",
    "next": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/agent-project-service/operable-agents"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/agent-project-service/operable-agents';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/agent-project-service/operable-agents"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/agent-project-service/operable-agents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/agent-project-service/operable-agents")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/agent-project-service/operable-agents');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/agent-project-service/operable-agents");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/agent-project-service/operable-agents")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```